Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 60)
@@ -1696,7 +2959,7 @@
         /// </summary>
         /// <param name="lstChldConstructionCode"></param>
         /// <returns></returns>
-        private bool GetConstructionLink(ref List<int> lstChldConstructionCode)
+        private bool GetConstructionLink(int nConstructionCode, int nLinkType, ref List<int> lstChldConstructionCode)
         {
             var sbDB = new IOConstructionLink();
             try
@@ -1705,10 +2968,10 @@
                 var wrk = new List<ConstructionLink>();
 
                 // 工事増減情報取得SQL
-                string strSQL = sbDB.CreatePrimarykeyString(m_ConstructionCode);
+                string strSQL = sbDB.CreatePrimarykeyString(nConstructionCode);
 
                 // ソート条件を設定
-                strSQL += " ORDER BY FLUCTUATIONCODE";
+                strSQL += string.Format(" AND LinkType = {0} ORDER BY FLUCTUATIONCODE", nLinkType);
 
                 // 工事増減情報取得
                 if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
@@ -1736,6 +2999,50 @@
         }
         #endregion
 
+        #region 工事リンク情報
+
+        private bool GetConstructionLinkFromFluctuationCode(int FluctuationCode, int LinkType, ref int ConstructionCode)
+        {
+            var sbDB = new IOConstructionLink();
+            try
+            {
+                // 工事増減情報取得クラス領域
+                var wrk = new List<ConstructionLink>();
+
+                // 工事増減情報取得SQL
+                string strSQL = string.Format("FLUCTUATIONCODE = {0}", FluctuationCode);
+
+                // ソート条件を設定
+                strSQL += string.Format(" AND LinkType = {0}", LinkType);
+
+                // 工事増減情報取得
+                if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
+
+                // 工事増減情報をリストにセット
+                foreach (var detail in wrk)
+                {
+                    ConstructionCode = detail.ConstructionCode;
+
+                    break;
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                sbDB.close();
+                sbDB = null;
+            }
+
+            return true;
+        }
+
+        #endregion
+
         #region 工事詳細台帳データ
         /// <summary>
         /// 工事詳細台帳データを工事詳細台帳データテーブルから工事番号をキーに取得する関数
@@ -1830,21 +3137,21 @@
         /// <returns>true：成功 false：失敗</returns>
         private bool GetRequestData(ref RequestData data)
         {
-            var sbDB = new IORequestData();
+            //var sbDB = new IORequestData();
             try
             {
-                // 請求データ取得クラス領域
-                var wrk = new List<RequestData>();
+                //// 請求データ取得クラス領域
+                //var wrk = new List<RequestData>();
 
-                // 請求データ取得SQL
-                string strSQL = sbDB.CreateSubkeyString(m_ConstructionCode);
+                //// 請求データ取得SQL
+                //string strSQL = sbDB.CreateSubkeyString(m_ConstructionCode);
 
-                // 請求データ取得
-                if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
+                //// 請求データ取得
+                //if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
 
-                if (wrk.Count != 1) return false;
+                //if (wrk.Count != 1) return false;
 
-                data = wrk[0];
+                //data = wrk[0];
             }
             catch (Exception ex)
             {
@@ -1853,8 +3160,8 @@
             }
             finally
             {
-                sbDB.close();
-                sbDB = null;
+                //sbDB.close();
+                //sbDB = null;
             }
 
             return true;
@@ -1866,39 +3173,39 @@
         /// 請求データに登録する情報を工事基本情報から取得
         /// </summary>
         /// <param name="data"></param>
-        private bool GetRequestDataFromConstructionBase(ref RequestData data)
-        {
-            var sbDB = new IOConstructionBaseInfo();
+        //private bool GetRequestDataFromConstructionBase(ref RequestData data)
+        //{
+        //    var sbDB = new IOConstructionBaseInfo();
 
-            try
-            {
-                // 工事基本情報取得クラス領域
-                List<ConstructionBaseInfo> wrk = new List<ConstructionBaseInfo>();
+        //    try
+        //    {
+        //        // 工事基本情報取得クラス領域
+        //        List<ConstructionBaseInfo> wrk = new List<ConstructionBaseInfo>();
 
-                // 工事基本情報取得SQL
-                string strSQL = string.Format(" where ConstructionCode = {0} ", data.RequestNo);
+        //        // 工事基本情報取得SQL
+        //        string strSQL = string.Format(" where ConstructionCode = {0} ", data.RequestNo);
 
-                // 読み込み
-                if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
+        //        // 読み込み
+        //        if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
 
-                foreach(ConstructionBaseInfo info in wrk)
-                {
-                    data.OrderersDivision = info.OrderersDivision;
-                    data.OrderersCode = info.OrderersCode;
-                }
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                sbDB.close();
-                sbDB = null;
-            }
-            return true;
-        }
+        //        foreach(ConstructionBaseInfo info in wrk)
+        //        {
+        //            data.OrderersDivision = info.OrderersDivision;
+        //            data.OrderersCode = info.OrderersCode;
+        //        }
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //        return false;
+        //    }
+        //    finally
+        //    {
+        //        sbDB.close();
+        //        sbDB = null;
+        //    }
+        //    return true;
+        //}
         #endregion
 
         #region 請求合計データ
@@ -1908,44 +3215,44 @@
         /// <param name="RequestNo">請求No</param>
         /// <param name="data"></param>
         /// <returns>true：成功 false：失敗</returns>
-        private bool GetRequestTotalDatas(int RequestNo, ref List<RequestTotalData> data)
-        {
-            var sbDB = new IORequestTotalData();
-            try
-            {
-                // 請求合計データ取得クラス領域
-                var wrk = new List<RequestTotalData>();
+        //private bool GetRequestTotalDatas(int RequestNo, ref List<RequestTotalData> data)
+        //{
+        //    var sbDB = new IORequestTotalData();
+        //    try
+        //    {
+        //        // 請求合計データ取得クラス領域
+        //        var wrk = new List<RequestTotalData>();
 
-                // 請求合計データ取得SQL
-                string strSQL = sbDB.CreatePrimarykeyString(RequestNo);
+        //        // 請求合計データ取得SQL
+        //        string strSQL = sbDB.CreatePrimarykeyString(RequestNo);
 
-                // ソート条件を追加
-                strSQL += " ORDER BY REQUESTNO, ORDERNO";
+        //        // ソート条件を追加
+        //        strSQL += " ORDER BY REQUESTNO, ORDERNO";
 
-                // 請求合計データ取得
-                if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
+        //        // 請求合計データ取得
+        //        if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
 
-                foreach (var record in wrk)
-                {
-                    m_DicReqTotalRec[record] = true;
-                }
-                data = wrk;
+        //        foreach (var record in wrk)
+        //        {
+        //            m_DicReqTotalRec[record] = true;
+        //        }
+        //        data = wrk;
 
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                sbDB.close();
-                sbDB = null;
-            }
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //        return false;
+        //    }
+        //    finally
+        //    {
+        //        sbDB.close();
+        //        sbDB = null;
+        //    }
 
-            return true;
+        //    return true;
 
-        }
+        //}
         #endregion
 
         #region 請求明細データ
@@ -1955,49 +3262,49 @@
         /// <param name="RequestNo"></param>
         /// <param name="data"></param>
         /// <returns></returns>
-        private bool GetRequestDataDetails(int RequestNo, ref Dictionary<int,Dictionary<int,RequestDataDetail>> datas)
-        {
-            var sbDB = new IORequestDataDetail();
-            try
-            {
-                // 請求明細データ取得クラス領域
-                var wrk = new List<RequestDataDetail>();
+        //private bool GetRequestDataDetails(int RequestNo, ref Dictionary<int,Dictionary<int,RequestDataDetail>> datas)
+        //{
+        //    var sbDB = new IORequestDataDetail();
+        //    try
+        //    {
+        //        // 請求明細データ取得クラス領域
+        //        var wrk = new List<RequestDataDetail>();
 
-                // 請求明細データ取得SQL
-                string strSQL = sbDB.CreatePrimarykeyString(RequestNo);
+        //        // 請求明細データ取得SQL
+        //        string strSQL = sbDB.CreatePrimarykeyString(RequestNo);
 
-                // ソート条件を追加
-                strSQL += " ORDER BY REQUESTNO, ORDERNO, CONSTRUCTIONCODE";
+        //        // ソート条件を追加
+        //        strSQL += " ORDER BY REQUESTNO, ORDERNO, CONSTRUCTIONCODE";
 
-                // 請求明細データ取得
-                if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
+        //        // 請求明細データ取得
+        //        if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
 
-                // 取得したデータをハッシュテーブルにセット
-                foreach (var detail in wrk)
-                {
-                    if (!datas.ContainsKey(detail.ConstructionCode))
-                    {
-                        datas[detail.ConstructionCode] = new Dictionary<int, RequestDataDetail>();
-                    }
-                    datas[detail.ConstructionCode][detail.OrderNo] = detail;
-                    m_DicReqDetailRec[detail] = true;
-                }
+        //        // 取得したデータをハッシュテーブルにセット
+        //        foreach (var detail in wrk)
+        //        {
+        //            if (!datas.ContainsKey(detail.ConstructionCode))
+        //            {
+        //                datas[detail.ConstructionCode] = new Dictionary<int, RequestDataDetail>();
+        //            }
+        //            datas[detail.ConstructionCode][detail.OrderNo] = detail;
+        //            m_DicReqDetailRec[detail] = true;
+        //        }
 
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                sbDB.close();
-                sbDB = null;
-            }
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //        return false;
+        //    }
+        //    finally
+        //    {
+        //        sbDB.close();
+        //        sbDB = null;
+        //    }
 
-            return true;
+        //    return true;
 
-        }
+        //}
         #endregion
 
         #region 承認データ
@@ -2018,6 +3325,8 @@
                 // 承認データ取得SQL
                 string strSQL = sbDB.CreatePrimarykeyString(constructionCode, 5);
 
+                strSQL += " Order By OrderNo, SeqNo";
+
                 // 承認データ取得
                 if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
 
@@ -2142,7 +3451,7 @@
         /// <param name="requestNo"></param>
         /// <param name="htDepositDataDetail"></param>
         /// <returns></returns>
-        private bool GetDepositDataDetail(int requestNo, ref Dictionary<int,DepositDataDetail> datas)
+        private bool GetDepositDataDetail(int nRequestNo, ref List<DepositDataDetail> lstDepData)
         {
             var sbDB = new IODepositDataDetail();
             try
@@ -2151,16 +3460,11 @@
                 var wrk = new List<DepositDataDetail>();
 
                 // 入金明細データ取得SQL
-                string strSQL = sbDB.CreateSubkeyString(requestNo);
+                string strSQL = sbDB.CreateSubkeyString(nRequestNo);
 
                 // 入金明細データ取得
-                if (!sbDB.SelectAction(strSQL, ref wrk)) return false;
+                if (!sbDB.SelectAction(strSQL, ref lstDepData)) return false;
 
-                // 入金明細データをハッシュテーブルにセット
-                foreach (var detail in wrk)
-                {
-                    datas[detail.OrderNo] = detail;
-                }
             }
             catch (Exception ex)
             {
@@ -2220,6 +3524,67 @@
         }
         #endregion
 
+        #region 承認データの登録
+        private bool SetProcessApproval(int nStatus)
+        {
+            IOProcessApproval   ioPrcApp = new IOProcessApproval();
+
+            string sql = "";
+            ProcessApproval PrcApp = new ProcessApproval();
+
+            try
+            {
+                sql = string.Format(" WHERE ConstructionCode = {0}", m_ConstructionCode);
+                sql += string.Format(" AND ApprovalCode = {0}", m_ApprovalCode);
+                sql += string.Format(" AND OrderNo = {0}", m_OrderNo);
+                sql += " AND SeqNo > 1";
+                sql += string.Format(" AND PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode );
+
+                List<ProcessApproval> lstPrcApp = new List<ProcessApproval>();
+
+                if( ioPrcApp.SelectAction(sql, ref lstPrcApp ) == false)
+                {
+                    return false;
+                }
+
+                if( lstPrcApp.Count > 0 ){
+                    PrcApp.ConstructionCode = lstPrcApp[0].ConstructionCode;
+                    PrcApp.ApprovalCode = lstPrcApp[0].ApprovalCode;
+                    PrcApp.OrderNo = lstPrcApp[0].OrderNo;
+                    PrcApp.SeqNo = lstPrcApp[0].SeqNo;
+                }
+                else{
+                    PrcApp.ConstructionCode = m_ConstructionCode;                      // 工事番号
+                    PrcApp.ApprovalCode = m_ApprovalCode;	                            // 承認機能番号
+                    PrcApp.OrderNo = m_OrderNo;	                                    // 受付番号
+
+                    sql = ioPrcApp.CreatePrimarykeyString(m_ConstructionCode, m_ApprovalCode, m_OrderNo);
+                    PrcApp.SeqNo = ioPrcApp.SelectMaxSeqNoCount(sql) + 1;             // 枝番
+
+                }
+
+                PrcApp.PersonCode = CommonMotions.LoginUserData.PersonCode;        // 申請・承認者コード
+                PrcApp.PetitionApprovalDate = DateTime.Now;	                    // 承認日付
+                PrcApp.ApprovalStatus = nStatus;
+
+                // 承認データの登録
+                ClsApprovalPermission.CreatePetitionApproval(PrcApp);
+
+                return true ;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ioPrcApp.close();
+                ioPrcApp = null;
+            }
+        }
         #endregion
+
+        #endregion
     }
 }
